#IMAGEM BASE OPEN9J
FROM adoptopenjdk/openjdk11-openj9:alpine

LABEL autor="Jefferson Lisboa de Souza <lisboa.jeff@gmail.com>"

#CRIANDO USUARIO SERVICO
RUN adduser -D servico

#INICIA COM USUARIO SERVICO
USER servico

#ESPAÇO INICIAL DE TRABALHO DO SERVIÇO
WORKDIR /home/servico/

#COPIAR ARQUIVO JAR
COPY target/*.jar service.jar

#EXECUTAR SERVIÇO COM PROFILE DE CONTAINER
CMD [ "java", "-jar", "-Xshareclasses:cacheDir=/home/servico/openj9/java", "-Dspring.profiles.active=k8s", "service.jar" ]
